Loading...
Searching...
No Matches
pcl::device::bit_not< T > Struct Template Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/device/functional.hpp>`

## Public Types

typedef T | argument_type
typedef T | result_type

## Public Member Functions

__forceinline__ __device__ T | operator() (const T &v) const

## Detailed Description

template<typename T>
struct pcl::device::bit_not< T >

Definition at line 79 of file functional.hpp.

## Member Typedef Documentation

## argument_type

template<typename T>

typedef T pcl::device::bit_not< T >::argument_type

Definition at line 81 of file functional.hpp.

## result_type

template<typename T>

typedef T pcl::device::bit_not< T >::result_type

Definition at line 82 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

__forceinline__ __device__ T pcl::device::bit_not< T >::operator() | ( | const T & | v | ) | const

inline

Definition at line 83 of file functional.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/device/functional.hpp